Index: trunk/of-example/compute-eg-renci.rspec
===================================================================
--- trunk/of-example/compute-eg-renci.rspec	(revision 1770)
+++ trunk/of-example/compute-eg-renci.rspec	(revision 1770)
@@ -0,0 +1,32 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve one VM on VLAN 1750 at the RENCI ExoGENI rack.
+AM: https://rci-hn.exogeni.net:11443/orca/xmlrpc
+--> 
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+
+  <node client_id="renci-eg" component_manager_id="urn:publicid:IDN+rcivmsite+authority+cm" >
+    <sliver_type name="m1.small">
+   <disk_image name="http://geni-images.renci.org/images/standard/debian/deb6-neuca-v1.0.7.xml" version="ba15fa6f56cc00d354e505259b9cb3804e1bcb73" />
+    </sliver_type>
+        <services>
+        <execute shell="sh" command="hostname renci-eg"/>
+        </services>
+    <interface client_id="renci-eg:if0">
+   <ip address="10.42.11.205" netmask="255.255.255.0" />
+    </interface>
+  </node>
+
+  <link client_id="lan0">
+    <interface_ref client_id="renci-eg:if0"/>
+    <s:link_shared_vlan name="1750"/>
+  </link>
+
+</rspec>
Index: trunk/of-example/compute-ig-gpo.rspec
===================================================================
--- trunk/of-example/compute-ig-gpo.rspec	(revision 1770)
+++ trunk/of-example/compute-ig-gpo.rspec	(revision 1770)
@@ -0,0 +1,26 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve two VMs on VLAN 1750 at the GPO InstaGENI rack. 
+AM: http://instageni.gpolab.bbn.com/protogeni/xmlrpc/am/2.0 
+--> 
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:sharedvlan="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+           http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+       type="request">
+
+  <node client_id="gpo-ig" exclusive="false">
+    <sliver_type name="emulab-openvz" />
+    <interface client_id="gpo-ig:if0">
+      <ip address="10.42.11.65" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+
+  <link client_id="openflow-mesoscale-0">
+    <interface_ref client_id="gpo-ig:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+</rspec>
Index: trunk/of-example/compute-pg-utah.rspec
===================================================================
--- trunk/of-example/compute-pg-utah.rspec	(revision 1770)
+++ trunk/of-example/compute-pg-utah.rspec	(revision 1770)
@@ -0,0 +1,26 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+This rspec will reserve one VMs on VLAN 1750 at Utah ProtoGENI 
+AM: https://www.emulab.net:12369/protogeni/xmlrpc/am/2.0
+--> 
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:sharedvlan="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+           http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+       type="request">
+
+  <node client_id="utah-pg" exclusive="false">
+    <sliver_type name="emulab-openvz" />
+    <interface client_id="utah-pg:if0">
+      <ip address="10.42.11.134" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+
+  <link client_id="mesoscale-openflow-0">
+    <interface_ref client_id="utah-pg:if0" />
+    <sharedvlan:link_shared_vlan name="mesoscale-openflow" />
+  </link>
+</rspec>
Index: trunk/of-example/openflow-eg-renci.rspec
===================================================================
--- trunk/of-example/openflow-eg-renci.rspec	(revision 1770)
+++ trunk/of-example/openflow-eg-renci.rspec	(revision 1770)
@@ -0,0 +1,37 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+AM: https://rci-hn.exogeni.net:3626/foam/gapi/1
+-->
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+ <openflow:sliver description="OpenFlow Experiment Example" email="lnevers@bbn.com">
+ <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+  <openflow:group name="renci-1750">
+     <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:rci-hn.exogeni.net+datapath+00:01:08:17:f4:b3:5b:00" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:rci-hn.exogeni.net+authority+am" >
+     </openflow:datapath>
+    </openflow:group>
+
+    <openflow:match>
+
+      <openflow:use-group name="renci-1750" />
+
+      <openflow:packet>
+	<openflow:dl_vlan value="1750"/>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+</rspec>
Index: trunk/of-example/openflow-gpo.rspec
===================================================================
--- trunk/of-example/openflow-gpo.rspec	(revision 1770)
+++ trunk/of-example/openflow-gpo.rspec	(revision 1770)
@@ -0,0 +1,36 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+AM: https://foam.gpolab.bbn.com:3626/foam/gapi/1
+-->
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+ <openflow:sliver description="OpenFlow Experiment Example" email="lnevers@bbn.com">
+ <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="gpo-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+datapath+06:d6:00:12:e2:b8:a5:d0"
+                         component_manager_id="urn:publicid:IDN+openflow:foam:foam.gpolab.bbn.com+authority+am">
+         <openflow:port name="GBE0/7" num="7"/> <!-- to NLR 2650 -->
+         <openflow:port name="GBE0/16" num="16"/>  <!-- to BBN InstaGENI rack -->
+      </openflow:datapath>
+    </openflow:group>
+    <openflow:match>
+
+      <openflow:use-group name="gpo-1750" />
+      <openflow:packet>
+        <openflow:dl_type value="0x800,0x806"/>
+        <openflow:nw_dst value="10.42.11.0/24"/>
+        <openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+</rspec>
Index: trunk/of-example/openflow-ig-gpo.rspec
===================================================================
--- trunk/of-example/openflow-ig-gpo.rspec	(revision 1770)
+++ trunk/of-example/openflow-ig-gpo.rspec	(revision 1770)
@@ -0,0 +1,38 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+AM: https://foam.instageni.gpolab.bbn.com:3626/foam/gapi/1
+-->
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+ <openflow:sliver description="OpenFlow Experiment Example" email="lnevers@bbn.com">
+ <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="ig-gpo-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.instageni.gpolab.bbn.com+datapath+06:d6:84:34:97:c6:c9:00" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foam.instageni.gpolab.bbn.com+authority+am" dpid="06:d6:84:34:97:c6:c9:00">
+        <openflow:port name="E1" num="97"/> <!-- VM Server 1 --> 
+        <openflow:port name="E4" num="100"/> <!-- VM Server 2 -->
+        <openflow:port name="E24" num="120"/> <!-- to GPO FOAM -->
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:match>
+      <openflow:use-group name="ig-gpo-1750" />
+      <openflow:packet>
+        <openflow:dl_type value="0x800,0x806"/>
+        <openflow:nw_dst value="10.42.11.0/24"/>
+        <openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+</rspec>
+
Index: trunk/of-example/openflow-internet2.rspec
===================================================================
--- trunk/of-example/openflow-internet2.rspec	(revision 1770)
+++ trunk/of-example/openflow-internet2.rspec	(revision 1770)
@@ -0,0 +1,60 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+AM: https://foam.net.internet2.edu:3626/foam/gapi/1
+-->
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+ <openflow:sliver description="OpenFlow Experiment Example" email="lnevers@bbn.com">
+ <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="i2-losa-1750">
+    <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+06:d6:00:12:e2:22:63:38" 
+     component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" 
+     dpid="06:d6:00:12:e2:22:63:38">  <!-- I2 Los Angeles 3715 Path -->
+        <openflow:port name="GBE0/12" num="12"/> <!-- I2 UEN 1750 -->
+        <openflow:port name="GBE0/13" num="13"/> <!-- I2 Los Angeles 3715 Port -->
+      </openflow:datapath>
+    </openflow:group>
+
+   <openflow:group name="i2-atla-3715">
+    <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:83:00:12:e2:22:63:6e"
+      component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" 
+      dpid="0e:83:00:12:e2:22:63:6e"> <!-- I2 ATLA 3715 -->
+      </openflow:datapath>
+   </openflow:group>
+
+   <openflow:group name="i2-hous-3715">
+    <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:83:00:12:e2:22:81:42"
+     component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" 
+     dpid="0e:83:00:12:e2:22:81:42"> <!-- I2 HOUS 3715 -->
+      </openflow:datapath>
+   </openflow:group>
+
+   <openflow:group name="i2-losa-3715">
+    <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+datapath+0e:83:00:12:e2:22:63:38" 
+     component_manager_id="urn:publicid:IDN+openflow:foam:foam.net.internet2.edu+authority+am" 
+     dpid="0e:83:00:12:e2:22:63:38"> <!-- I2 LOSA 3715 -->
+      </openflow:datapath>
+   </openflow:group>
+
+   <openflow:match>
+      <openflow:use-group name="i2-atla-3715" />
+      <openflow:use-group name="i2-hous-3715" />
+      <openflow:use-group name="i2-losa-3715" />
+      <openflow:use-group name="i2-losa-1750" />
+      <openflow:packet>
+        <openflow:dl_type value="0x800,0x806"/>
+        <openflow:nw_dst value="10.42.11.0/24"/>
+        <openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+   </openflow:match>
+
+  </openflow:sliver>
+</rspec>
Index: trunk/of-example/openflow-nlr.rspec
===================================================================
--- trunk/of-example/openflow-nlr.rspec	(revision 1770)
+++ trunk/of-example/openflow-nlr.rspec	(revision 1770)
@@ -0,0 +1,62 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+AM: https://foam.nlr.net:3626/foam/gapi/1
+-->
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+ <openflow:sliver description="OpenFlow Experiment Example" email="lnevers@bbn.com">
+ <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="nlr-chic-1750">
+      <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+06:d6:00:23:47:c8:bc:00" 
+       component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" 
+        dpid="06:d6:00:23:47:c8:bc:00"> <!-- NLR CHIC 3715 --> 
+        <openflow:port name="3" num="3"/> <!-- NLR CHIC 3715 Port --> 
+        <openflow:port name="9" num="9"/> <!-- GPO 1750 -->
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:group name="nlr-atla-1750">
+     <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+06:d6:00:24:a8:d2:b8:40" 
+       component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" 
+       dpid="06:d6:00:24:a8:d2:b8:40"> <!-- NLR ATLA 3715 -->
+    <openflow:port name="3" num="3"/> <!-- NLR ATLA 3715 Port -->
+    <openflow:port name="25" num="49"/> <!-- RENCI 1750 -->
+    </openflow:datapath>
+    </openflow:group>
+
+    <openflow:group name="nlr-chic-3715">
+       <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:83:00:23:47:c8:bc:00"
+         component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" 
+         dpid="0e:83:00:23:47:c8:bc:00">  <!-- NLR CHIC 3715 -->
+       </openflow:datapath>
+    </openflow:group>
+
+    <openflow:group name="nlr-atla-3715">
+       <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+datapath+0e:83:00:24:a8:d2:b8:40" 
+         component_manager_id="urn:publicid:IDN+openflow:foam:foam.nlr.net+authority+am" 
+         dpid="0e:83:00:24:a8:d2:b8:40">  <!-- NLR ATLA 3715 -->
+      </openflow:datapath>
+    </openflow:group>
+
+  <openflow:match>
+      <openflow:use-group name="nlr-chic-1750" />
+      <openflow:use-group name="nlr-atla-1750" />
+      <openflow:use-group name="nlr-chic-3715" />
+      <openflow:use-group name="nlr-atla-3715" />
+      <openflow:packet>
+        <openflow:dl_type value="0x800,0x806"/>
+        <openflow:nw_dst value="10.42.11.0/24"/>
+        <openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+   </openflow:match>
+
+  </openflow:sliver>
+</rspec>
Index: trunk/of-example/openflow-uen.rspec
===================================================================
--- trunk/of-example/openflow-uen.rspec	(revision 1770)
+++ trunk/of-example/openflow-uen.rspec	(revision 1770)
@@ -0,0 +1,36 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- 
+AM: https://foamyflow.chpc.utah.edu:3626/foam/gapi/1
+-->
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+       xs:schemaLocation="http://www.geni.net/resources/rspec/3
+           http://www.geni.net/resources/rspec/3/request.xsd
+           http://www.geni.net/resources/rspec/ext/openflow/3
+           http://www.geni.net/resources/rspec/ext/openflow/3/of-resv.xsd"
+       type="request">
+
+ <openflow:sliver description="OpenFlow Experiment Example" email="lnevers@bbn.com">
+ <openflow:controller url="tcp:mallorea.gpolab.bbn.com:33020" type="primary" />
+
+    <openflow:group name="uen-1750">
+    <openflow:datapath component_id="urn:publicid:IDN+openflow:foam:foamyflow.chpc.utah.edu+datapath+06:d6:ac:16:2d:f5:2d:00" 
+	component_manager_id="urn:publicid:IDN+openflow:foam:foamyflow.chpc.utah.edu+authority+am" dpid="06:d6:ac:16:2d:f5:2d:00">
+        <openflow:port name="A21" num="21"/>
+        <openflow:port name="A22" num="22"/>
+      </openflow:datapath>
+    </openflow:group>
+
+    <openflow:match>
+      <openflow:use-group name="uen-1750" />
+      <openflow:packet>
+	<openflow:dl_type value="0x800,0x806"/>
+	<openflow:nw_dst value="10.42.11.0/24"/>
+	<openflow:nw_src value="10.42.11.0/24"/>
+      </openflow:packet>
+
+    </openflow:match>
+
+  </openflow:sliver>
+</rspec>