Index: trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-7/IG-EXP-7.rspec
===================================================================
--- trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-7/IG-EXP-7.rspec	(revision 1659)
+++ trunk/GENIRacks/InstaGENI/Spiral4/RSpecs/AcceptanceTests/IG-EXP-7/IG-EXP-7.rspec	(revision 1802)
@@ -1,12 +1,15 @@
-<rspec type="request" 
-       xsi:schemaLocation="http://www.geni.net/resources/rspec/3 http://www.geni.net/resources/rspec/3/request.xsd"
-       xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
-       xmlns:client="http://www.protogeni.net/resources/rspec/ext/client/1"
-       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
-       xmlns="http://www.geni.net/resources/rspec/3">
+<rspec xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:xs="http://www.w3.org/2001/XMLSchema-instance" 
+	xmlns:sharedvlan="http://www.geni.net/resources/rspec/ext/shared-vlan/1" 
+	xs:schemaLocation="http://www.geni.net/resources/rspec/3           
+	http://www.geni.net/resources/rspec/3/request.xsd 
+	http://www.geni.net/resources/rspec/ext/shared-vlan/1 
+	http://www.geni.net/resources/rspec/ext/shared-vlan/1/request.xsd" 
+type="request">
+
   <node client_id="hostA" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
     <sliver_type name="emulab-openvz"/>
     <interface client_id="hostA:if0">
-    <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
+    <ip address="10.42.14.2" netmask="255.255.255.0" type="ipv4"/>
     </interface>
   </node>
@@ -18,11 +21,11 @@
     </services>
     <interface client_id="top:if0">
-    <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
+    <ip address="10.42.14.1" netmask="255.255.255.0" type="ipv4"/>
     </interface>
     <interface client_id="top:if1">
-    <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
+    <ip address="10.42.11.2" netmask="255.255.255.0" type="ipv4"/>
     </interface>
     <interface client_id="top:if2">
-    <ip address="192.168.0.1" netmask="255.255.255.0" type="ipv4"/>
+    <ip address="10.42.10.1" netmask="255.255.255.0" type="ipv4"/>
     </interface>
   </node>
@@ -34,8 +37,8 @@
     </services>
     <interface client_id="left:if0">
-    <ip address="192.168.1.1" netmask="255.255.255.0" type="ipv4"/>
+    <ip address="10.42.11.1" netmask="255.255.255.0" type="ipv4"/>
     </interface>
     <interface client_id="left:if1">
-    <ip address="192.168.3.2" netmask="255.255.255.0" type="ipv4"/>
+    <ip address="10.42.13.2" netmask="255.255.255.0" type="ipv4"/>
     </interface>
   </node>
@@ -47,8 +50,8 @@
     </services>
     <interface client_id="right:if0">
-    <ip address="192.168.0.2" netmask="255.255.255.0" type="ipv4"/>
+    <ip address="10.42.10.2" netmask="255.255.255.0" type="ipv4"/>
     </interface>
     <interface client_id="right:if1">
-    <ip address="192.168.2.2" netmask="255.255.255.0" type="ipv4"/>
+    <ip address="10.42.12.2" netmask="255.255.255.0" type="ipv4"/>
     </interface>
   </node>
@@ -60,8 +63,8 @@
     </services>
     <interface client_id="bottom:if0">
-    <ip address="192.168.2.1" netmask="255.255.255.0" type="ipv4"/>
+    <ip address="10.42.12.1" netmask="255.255.255.0" type="ipv4"/>
     </interface>
     <interface client_id="bottom:if1">
-    <ip address="192.168.3.1" netmask="255.255.255.0" type="ipv4"/>
+    <ip address="10.42.13.1" netmask="255.255.255.0" type="ipv4"/>
     </interface>
     <interface client_id="bottom:if2">
@@ -96,7 +99,5 @@
     <interface_ref client_id="left:if1"/>
     <interface_ref client_id="bottom:if1"/>
-    <property source_id="left:if1" dest_id="bottom:if1"/>
-    <property source_id="bottom:if1" dest_id="left:if1"/>
-    <link_type name="gre-tunnel"/>
+    <sharedvlan:link_shared_vlan name="L2-ping-tutorial"/>
   </link>
   <link client_id="link-1">
@@ -105,7 +106,5 @@
     <interface_ref client_id="top:if2"/>
     <interface_ref client_id="right:if0"/>
-    <property source_id="top:if2" dest_id="right:if0"/>
-    <property source_id="right:if0" dest_id="top:if2"/>
-    <link_type name="gre-tunnel"/>
+    <sharedvlan:link_shared_vlan name="IG-EXP-7"/>
   </link>
   <link client_id="link-3">