Index: /trunk/stitch-examples/stitch-3linear.rspec
===================================================================
--- /trunk/stitch-examples/stitch-3linear.rspec	(revision 2109)
+++ /trunk/stitch-examples/stitch-3linear.rspec	(revision 2109)
@@ -0,0 +1,51 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+   <services> <execute command="sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-gpo:if0">
+      <ip address="192.168.2.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="ig-utah" component_manager_id="urn:publicid:IDN+utah.geniracks.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+   <services> <execute command="sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-utah:if0">
+      <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="pg-utah" component_manager_id="urn:publicid:IDN+emulab.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+   <services> <execute command="sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="pg-utah:if0">
+      <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+    <interface client_id="pg-utah:if1">
+      <ip address="192.168.2.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+emulab.net+authority+cm"/>
+    <interface_ref client_id="ig-gpo:if0"/>
+    <interface_ref client_id="pg-utah:if1"/>
+    <property source_id="ig-gpo:if0" dest_id="pg-utah:if1" capacity="100000"/>
+    <property source_id="pg-utah:if1" dest_id="ig-gpo:if0" capacity="100000"/>
+  </link>
+  <link client_id="link1">
+    <component_manager name="urn:publicid:IDN+emulab.net+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+utah.geniracks.net+authority+cm"/>
+    <interface_ref client_id="ig-utah:if0"/>
+    <interface_ref client_id="pg-utah:if0"/>
+    <property source_id="pg-utah:if0" dest_id="ig-utah:if0" capacity="100000"/>
+    <property source_id="ig-utah:if0" dest_id="pg-utah:if0" capacity="100000"/>
+  </link>
+</rspec>
Index: /trunk/stitch-examples/stitch-4linear.rspec
===================================================================
--- /trunk/stitch-examples/stitch-4linear.rspec	(revision 2109)
+++ /trunk/stitch-examples/stitch-4linear.rspec	(revision 2109)
@@ -0,0 +1,76 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+<node client_id="max3" component_id="urn:publicid:IDN+dragon.maxgigapop.net+node+planetlab2" component_manager_id="u
+rn:publicid:IDN+dragon.maxgigapop.net+authority+am" exclusive="true"> 
+   <hardware_type name="plab-pc"/> 
+   <hardware_type name="pc"/> 
+   <sliver_type name="plab-vserver">
+   </sliver_type> 
+   <interface client_id="max3:if0" component_id="urn:publicid:IDN+dragon.maxgigapop.net+interface+planetlab2:eth1"> 
+   <ip address="192.168.5.2" netmask="255.255.255.0" type="ipv4"/> 
+   </interface> 
+</node>
+
+<node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+   <services> <execute command="sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-gpo:if0">
+      <ip address="192.168.2.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+    <interface client_id="ig-gpo:if1">
+      <ip address="192.168.5.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+</node>
+
+<node client_id="ig-utah" component_manager_id="urn:publicid:IDN+utah.geniracks.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+   <services> <execute command="sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-utah:if0">
+      <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+</node>
+
+<node client_id="pg-utah" component_manager_id="urn:publicid:IDN+emulab.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+   <services> <execute command="sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="pg-utah:if0">
+      <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+    <interface client_id="pg-utah:if1">
+      <ip address="192.168.2.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+</node>
+
+ <link client_id="link">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+emulab.net+authority+cm"/>
+    <interface_ref client_id="ig-gpo:if0"/>
+    <interface_ref client_id="pg-utah:if1"/>
+    <property source_id="ig-gpo:if0" dest_id="pg-utah:if1" capacity="100000"/>
+    <property source_id="pg-utah:if1" dest_id="ig-gpo:if0" capacity="100000"/>
+ </link>
+ <link client_id="link1">
+    <component_manager name="urn:publicid:IDN+emulab.net+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+utah.geniracks.net+authority+cm"/>
+    <interface_ref client_id="ig-utah:if0"/>
+    <interface_ref client_id="pg-utah:if0"/>
+    <property source_id="pg-utah:if0" dest_id="ig-utah:if0" capacity="100000"/>
+    <property source_id="ig-utah:if0" dest_id="pg-utah:if0" capacity="100000"/>
+ </link>
+ <link client_id="link2"> 
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/> 
+    <component_manager name="urn:publicid:IDN+ion.internet2.edu+authority+am"/> 
+    <component_manager name="urn:publicid:IDN+dragon.maxgigapop.net+authority+am"/> 
+    <interface_ref client_id="ig-gpo:if0"/> 
+    <interface_ref client_id="max3:if0"/> 
+    <property source_id="ig-gpo:if1" dest_id="max3:if0" capacity="100000"/> 
+    <property source_id="max3:if0" dest_id="ig-gpo:if1" capacity="100000"/>
+ </link> 
+</rspec>
Index: /trunk/stitch-examples/stitch-eg-gpo-ig-gpo.rspec
===================================================================
--- /trunk/stitch-examples/stitch-eg-gpo-ig-gpo.rspec	(revision 2109)
+++ /trunk/stitch-examples/stitch-eg-gpo-ig-gpo.rspec	(revision 2109)
@@ -0,0 +1,29 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="eg-gpo" component_manager_id="urn:publicid:IDN+exogeni.net:bbnvmsite+authority+am">
+   <interface client_id="eg-gpo:if0">
+      <ip address="172.16.1.1" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" >
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="ig-gpo:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+exogeni.net:bbnvmsite+authority+am"/>
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <interface_ref client_id="eg-gpo:if0"/>
+    <interface_ref client_id="ig-gpo:if0"/>
+    <property source_id="eg-gpo:if0" dest_id="ig-gpo:if0" capacity="100000"/>
+    <property source_id="ig-gpo:if0" dest_id="eg-gpo:if0" capacity="100000"/>
+  </link>
+</rspec>
Index: /trunk/stitch-examples/stitch-eg-gpo-ig-utah.rspec
===================================================================
--- /trunk/stitch-examples/stitch-eg-gpo-ig-utah.rspec	(revision 2109)
+++ /trunk/stitch-examples/stitch-eg-gpo-ig-utah.rspec	(revision 2109)
@@ -0,0 +1,26 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="eg-gpo" component_manager_id="urn:publicid:IDN+exogeni.net:bbnvmsite+authority+am">
+   <interface client_id="eg-gpo:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <node client_id="ig-utah" component_manager_id="urn:publicid:IDN+utah.geniracks.net+authority+cm" >
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="ig-utah:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link-eggpo-igutah">
+    <component_manager name="urn:publicid:IDN+exogeni.net:bbnvmsite+authority+am"/>
+    <interface_ref client_id="eg-gpo:if0"/>
+    <component_manager name="urn:publicid:IDN+utah.geniracks.net+authority+cm"/>
+    <interface_ref client_id="ig-utah:if0"/>
+  </link>
+</rspec>
Index: /trunk/stitch-examples/stitch-ig-gpo-ig-utah.rspec
===================================================================
--- /trunk/stitch-examples/stitch-ig-gpo-ig-utah.rspec	(revision 2109)
+++ /trunk/stitch-examples/stitch-ig-gpo-ig-utah.rspec	(revision 2109)
@@ -0,0 +1,38 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+       xmlns:stitch="http://hpn.east.isi.edu/rspec/ext/stitch/0.1/" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+  <node client_id="server-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <services>
+      <execute command="sudo /local/install-script.sh" shell="sh"/>
+      <install install_path="/local" url="http://www.gpolab.bbn.com/~lnevers/StitchDemo.tar.gz"/>
+   </services>
+    <emulab:routable_control_ip xmlns:emulab="http://www.protogeni.net/resources/rspec/ext/emulab/1"/>
+    <interface client_id="server-gpo:if0">
+      <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="client-utah" component_manager_id="urn:publicid:IDN+utah.geniracks.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+   <services>
+      <execute command="sudo /local/install-script.sh" shell="sh"/>
+      <install install_path="/local" url="http://www.gpolab.bbn.com/~lnevers/StitchDemo.tar.gz"/>
+    </services>
+    <interface client_id="client-utah:if0">
+      <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+utah.geniracks.net+authority+cm"/>
+    <interface_ref client_id="server-gpo:if0"/>
+    <interface_ref client_id="client-utah:if0"/>
+    <property source_id="server-gpo:if0" dest_id="client-utah:if0" capacity="100000"/>
+    <property source_id="client-utah:if0" dest_id="server-gpo:if0" capacity="100000"/>
+  </link>
+</rspec>
Index: /trunk/stitch-examples/stitch-ig-gpo-pg-uky.rspec
===================================================================
--- /trunk/stitch-examples/stitch-ig-gpo-pg-uky.rspec	(revision 2109)
+++ /trunk/stitch-examples/stitch-ig-gpo-pg-uky.rspec	(revision 2109)
@@ -0,0 +1,32 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="ig-gpo:if0">
+      <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
+     <services> <execute command="sudo yum install iperf -y" shell="sh"/> </services>
+    </interface>
+  </node>
+  <node client_id="pg-uky" component_manager_id="urn:publicid:IDN+uky.emulab.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+     <services> <execute command="sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="pg-uky:if0">
+      <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+uky.emulab.net+authority+cm"/>
+    <interface_ref client_id="ig-gpo:if0"/>
+    <interface_ref client_id="pg-uky:if0"/>
+    <property source_id="ig-gpo:if0" dest_id="pg-uky:if0"/>
+    <property source_id="pg-uky:if0" dest_id="ig-gpo:if0"/>
+  </link>
+</rspec>
Index: /trunk/stitch-examples/stitch-ig-gpo-pg-utah.rspec
===================================================================
--- /trunk/stitch-examples/stitch-ig-gpo-pg-utah.rspec	(revision 2109)
+++ /trunk/stitch-examples/stitch-ig-gpo-pg-utah.rspec	(revision 2109)
@@ -0,0 +1,32 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+     <services> <execute command="sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-gpo:if0">
+      <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="pg-utah" component_manager_id="urn:publicid:IDN+emulab.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+     <services> <execute command="sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="pg-utah:if0">
+      <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+emulab.net+authority+cm"/>
+    <interface_ref client_id="ig-gpo:if0"/>
+    <interface_ref client_id="pg-utah:if0"/>
+    <property source_id="ig-gpo:if0" dest_id="pg-utah:if0"/>
+    <property source_id="pg-utah:if0" dest_id="ig-gpo:if0"/>
+  </link>
+</rspec>
Index: /trunk/stitch-examples/stitch-max-ig-utah.rspec
===================================================================
--- /trunk/stitch-examples/stitch-max-ig-utah.rspec	(revision 2109)
+++ /trunk/stitch-examples/stitch-max-ig-utah.rspec	(revision 2109)
@@ -0,0 +1,34 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+       xmlns:stitch="http://hpn.east.isi.edu/rspec/ext/stitch/0.1/" 
+       xmlns="http://www.geni.net/resources/rspec/3" 
+       xsi:schemaLocation="http://hpn.east.isi.edu/rspec/ext/stitch/0.1/ 
+       http://hpn.east.isi.edu/rspec/ext/stitch/0.1/stitch-schema.xsd 
+       http://www.geni.net/resources/rspec/3 http://www.geni.net/resources/rspec/3/request.xsd"> 
+
+ <node client_id="ig-utah" component_manager_id="urn:publicid:IDN+utah.geniracks.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="ig-utah:if0">
+    <ip address="10.33.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+</node>
+<node client_id="max3" component_id="urn:publicid:IDN+dragon.maxgigapop.net+node+planetlab2" component_manager_id="urn:publicid:IDN+dragon.maxgigapop.net+authority+am" exclusive="true"> 
+   <hardware_type name="plab-pc"/> 
+   <hardware_type name="pc"/> 
+   <sliver_type name="plab-vserver">
+   </sliver_type> 
+   <interface client_id="max3:if0" component_id="urn:publicid:IDN+dragon.maxgigapop.net+interface+planetlab2:eth1"> 
+   <ip address="10.33.4.2" netmask="255.255.255.0" type="ipv4"/> 
+   </interface> 
+</node> 
+<link client_id="link-ig-utah-max3"> 
+<component_manager name="urn:publicid:IDN+utah.geniracks.net+authority+cm"/> 
+<component_manager name="urn:publicid:IDN+ion.internet2.edu+authority+am"/> 
+<component_manager name="urn:publicid:IDN+dragon.maxgigapop.net+authority+am"/> 
+<interface_ref client_id="ig-utah:if0"/> 
+<interface_ref client_id="max3:if0"/> 
+<property source_id="ig-utah:if0" dest_id="max3:if0" capacity="100000"/> 
+<property source_id="max3:if0" dest_id="ig-utah:if0" capacity="100000"/>
+</link> 
+</rspec>
Index: /trunk/stitch-examples/stitch-pg-uky-ig-utah.rspec
===================================================================
--- /trunk/stitch-examples/stitch-pg-uky-ig-utah.rspec	(revision 2109)
+++ /trunk/stitch-examples/stitch-pg-uky-ig-utah.rspec	(revision 2109)
@@ -0,0 +1,30 @@
+<?xml version="1.0" encoding="UTF-8"?>
+
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="pg-uky" component_manager_id="urn:publicid:IDN+uky.emulab.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="pg-uky:if0">
+      <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+
+  <node client_id="ig-utah" component_manager_id="urn:publicid:IDN+utah.geniracks.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="ig-utah:if0">
+      <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+uky.emulab.net+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+utah.geniracks.net+authority+cm"/>
+    <interface_ref client_id="pg-uky:if0"/>
+    <interface_ref client_id="ig-utah:if0"/>
+    <property source_id="pg-uky:if0" dest_id="ig-utah:if0" capacity="100000"/>
+    <property source_id="ig-utah:if0" dest_id="pg-uky:if0" capacity="100000"/>
+  </link>
+</rspec>
Index: /trunk/stitch-examples/stitch-pg-utah-ig-gpo.rspec
===================================================================
--- /trunk/stitch-examples/stitch-pg-utah-ig-gpo.rspec	(revision 2109)
+++ /trunk/stitch-examples/stitch-pg-utah-ig-gpo.rspec	(revision 2109)
@@ -0,0 +1,29 @@
+<?xml version="1.0" encoding="UTF-8"?>
+
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="pg-utah" component_manager_id="urn:publicid:IDN+emulab.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="pg-utah:if0">
+      <ip address="10.33.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="ig-gpo:if0">
+      <ip address="10.33.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+emulab.net+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <interface_ref client_id="pg-utah:if0"/>
+    <interface_ref client_id="ig-gpo:if0"/>
+    <property source_id="pg-utah:if0" dest_id="ig-gpo:if0"/>
+    <property source_id="ig-gpo:if0" dest_id="pg-utah:if0"/>
+  </link>
+</rspec>
Index: /trunk/stitch-examples/stitch-pg-utah-ig-utah.rspec
===================================================================
--- /trunk/stitch-examples/stitch-pg-utah-ig-utah.rspec	(revision 2109)
+++ /trunk/stitch-examples/stitch-pg-utah-ig-utah.rspec	(revision 2109)
@@ -0,0 +1,30 @@
+<?xml version="1.0" encoding="UTF-8"?>
+
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+  <node client_id="server" component_manager_id="urn:publicid:IDN+emulab.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <services> <execute command="sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="server:if0">
+      <ip address="10.22.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="client" component_manager_id="urn:publicid:IDN+utah.geniracks.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <services> <execute command="sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="client:if0">
+      <ip address="10.22.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+emulab.net+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+utah.geniracks.net+authority+cm"/>
+    <interface_ref client_id="server:if0"/>
+    <interface_ref client_id="client:if0"/>
+    <property source_id="server:if0" dest_id="client:if0"/>
+    <property source_id="client:if0" dest_id="server:if0"/>
+  </link>
+</rspec>
Index: /trunk/stitch-examples/stitch-pg-utah-pg-uky.rspec
===================================================================
--- /trunk/stitch-examples/stitch-pg-utah-pg-uky.rspec	(revision 2109)
+++ /trunk/stitch-examples/stitch-pg-utah-pg-uky.rspec	(revision 2109)
@@ -0,0 +1,32 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="pg-utah" component_manager_id="urn:publicid:IDN+emulab.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+     <services> <execute command="sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="pg-utah:if0">
+      <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="pg-uky" component_manager_id="urn:publicid:IDN+uky.emulab.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+     <services> <execute command="sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="pg-uky:if0">
+      <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+emulab.net+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+uky.emulab.net+authority+cm"/>
+    <interface_ref client_id="pg-utah:if0"/>
+    <interface_ref client_id="pg-uky:if0"/>
+    <property source_id="pg-utah:if0" dest_id="pg-uky:if0"/>
+    <property source_id="pg-uky:if0" dest_id="pg-utah:if0"/>
+  </link>
+</rspec>
Index: /trunk/stitch-examples/stitch-triangle.rspec
===================================================================
--- /trunk/stitch-examples/stitch-triangle.rspec	(revision 2109)
+++ /trunk/stitch-examples/stitch-triangle.rspec	(revision 2109)
@@ -0,0 +1,70 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="pg-utah" component_manager_id="urn:publicid:IDN+emulab.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+     <services> <execute command="sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="pg-utah:if0">
+      <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+    <interface client_id="pg-utah:if1">
+      <ip address="192.168.6.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+
+  <node client_id="pg-uky" component_manager_id="urn:publicid:IDN+uky.emulab.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+     <services> <execute command="sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="pg-uky:if0">
+      <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+    <interface client_id="pg-uky:if1">
+      <ip address="192.168.5.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+
+  <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+     <services> <execute command="sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-gpo:if0">
+      <ip address="192.168.5.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+    <interface client_id="ig-gpo:if1">
+      <ip address="192.168.6.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+
+  <link client_id="link-pgu-pgky">
+    <component_manager name="urn:publicid:IDN+emulab.net+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+uky.emulab.net+authority+cm"/>
+    <interface_ref client_id="pg-utah:if0"/>
+    <interface_ref client_id="pg-uky:if0"/>
+    <property source_id="pg-utah:if0" dest_id="pg-uky:if0"/>
+    <property source_id="pg-uky:if0" dest_id="pg-utah:if0"/>
+  </link>
+
+  <link client_id="link-pgky-iggpo">
+    <component_manager name="urn:publicid:IDN+uky.emulab.net+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <interface_ref client_id="ig-gpo:if0"/>
+    <interface_ref client_id="pg-uky:if1"/>
+    <property source_id="ig-gpo:if0" dest_id="pg-uky:if1"/>
+    <property source_id="pg-uky:if1" dest_id="ig-gpo:if0"/>
+  </link> 
+
+  <link client_id="link-iggpo-pgutah">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+emulab.net+authority+cm"/>
+    <interface_ref client_id="ig-gpo:if1"/>
+    <interface_ref client_id="pg-utah:if1"/>
+    <property source_id="ig-gpo:if1" dest_id="pg-utah:if1"/>
+    <property source_id="pg-utah:if1" dest_id="ig-gpo:if1"/>
+  </link>
+
+</rspec>