Index: trunk/OESSRSpecs/oess-atla-2-losa-nobkup.rspec
===================================================================
--- trunk/OESSRSpecs/oess-atla-2-losa-nobkup.rspec	(revision 2383)
+++ trunk/OESSRSpecs/oess-atla-2-losa-nobkup.rspec	(revision 2383)
@@ -0,0 +1,26 @@
+<rspec  xmlns="http://www.geni.net/resources/rspec/3"
+      xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+      xmlns:oess="http://bssoftworks.com/geni/ext/circuit/1"
+      xs:schemaLocation="http://www.geni.net/rspec/3/manifest.xsd
+          http://www.geni.net/resources/rspec/3/request.xsd
+          http://bssoftworks.com/geni/ext/circuit/1
+          http://geni.bssoftworks.com/rspec/ext/circuit/1/request.xsd"
+      type="request">
+
+<oess:circuit>
+  <oess:description>LN atla-2-losa</oess:description>
+  <oess:bandwidth mbps="100" />
+  <oess:primaryPath>
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-ELPA-HOUH-100GE-07749" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-ATLA-JACK-100GE-07739" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-HOUH-JACK-100GE-08860" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-LOSA-PHOE-100GE-09190" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-ELPA-PHOE-100GE-07750" />
+  </oess:primaryPath>
+  <oess:endpoints>
+    <oess:interface urn="urn:publicid:IDN+oess:foam:nddi+sdn-sw.atla.net.internet2.edu+e15/3" vlan="3000" />
+    <oess:interface urn="urn:publicid:IDN+oess:foam:nddi+sdn-sw.losa.net.internet2.edu+e15/3" vlan="3000" />
+  </oess:endpoints>
+</oess:circuit>
+
+</rspec>
Index: trunk/OESSRSpecs/oess-atla-2-losa.rspec
===================================================================
--- trunk/OESSRSpecs/oess-atla-2-losa.rspec	(revision 2383)
+++ trunk/OESSRSpecs/oess-atla-2-losa.rspec	(revision 2383)
@@ -0,0 +1,33 @@
+<rspec  xmlns="http://www.geni.net/resources/rspec/3"
+      xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+      xmlns:oess="http://bssoftworks.com/geni/ext/circuit/1"
+      xs:schemaLocation="http://www.geni.net/rspec/3/manifest.xsd
+          http://www.geni.net/resources/rspec/3/request.xsd
+          http://bssoftworks.com/geni/ext/circuit/1
+          http://geni.bssoftworks.com/rspec/ext/circuit/1/request.xsd"
+      type="request">
+
+<oess:circuit>
+  <oess:description>LN atla-2-losa</oess:description>
+  <oess:bandwidth mbps="100" />
+  <oess:primaryPath>
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-ELPA-HOUH-100GE-07749" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-ATLA-JACK-100GE-07739" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-HOUH-JACK-100GE-08860" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-LOSA-PHOE-100GE-09190" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-ELPA-PHOE-100GE-07750" />
+  </oess:primaryPath>
+  <oess:backupPath>
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-DENV-KANS-100GE-07746" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-CHIC-KANS-100GE-07745" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-DENV-SALT-100GE-07747" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-LOSA-SALT-100GE-07757" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-ATLA-CHIC-100GE-07740" />
+  </oess:backupPath>
+  <oess:endpoints>
+    <oess:interface urn="urn:publicid:IDN+oess:foam:nddi+sdn-sw.atla.net.internet2.edu+e15/3" vlan="3000" />
+    <oess:interface urn="urn:publicid:IDN+oess:foam:nddi+sdn-sw.losa.net.internet2.edu+e15/3" vlan="3000" />
+  </oess:endpoints>
+</oess:circuit>
+
+</rspec>
Index: trunk/OESSRSpecs/oess-atla-2-ny-nobkup.rspec
===================================================================
--- trunk/OESSRSpecs/oess-atla-2-ny-nobkup.rspec	(revision 2383)
+++ trunk/OESSRSpecs/oess-atla-2-ny-nobkup.rspec	(revision 2383)
@@ -0,0 +1,24 @@
+<rspec  xmlns="http://www.geni.net/resources/rspec/3"
+      xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+      xmlns:oess="http://bssoftworks.com/geni/ext/circuit/1"
+      xs:schemaLocation="http://www.geni.net/rspec/3/manifest.xsd
+          http://www.geni.net/resources/rspec/3/request.xsd
+          http://bssoftworks.com/geni/ext/circuit/1
+          http://geni.bssoftworks.com/rspec/ext/circuit/1/request.xsd"
+      type="request">
+
+<oess:circuit>
+  <oess:description>LN atla-2-ny</oess:description>
+  <oess:bandwidth mbps="100" />
+  <oess:primaryPath>
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-NEWY32AOA-WASH-100GE-07759" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-ATLA-RALE-100GE-07738" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-RALE-WASH-100GE-08888" />
+  </oess:primaryPath>
+  <oess:endpoints>
+    <oess:interface urn="urn:publicid:IDN+oess:foam:nddi+sdn-sw.atla.net.internet2.edu+e15/3" vlan="3001" />
+    <oess:interface urn="urn:publicid:IDN+oess:foam:nddi+sdn-sw.newy32aoa.net.internet2.edu+e15/5" vlan="3001" />
+  </oess:endpoints>
+</oess:circuit>
+
+</rspec>
Index: trunk/OESSRSpecs/oess-atla-2-ny.rspec
===================================================================
--- trunk/OESSRSpecs/oess-atla-2-ny.rspec	(revision 2383)
+++ trunk/OESSRSpecs/oess-atla-2-ny.rspec	(revision 2383)
@@ -0,0 +1,32 @@
+<rspec  xmlns="http://www.geni.net/resources/rspec/3"
+      xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+      xmlns:oess="http://bssoftworks.com/geni/ext/circuit/1"
+      xs:schemaLocation="http://www.geni.net/rspec/3/manifest.xsd
+          http://www.geni.net/resources/rspec/3/request.xsd
+          http://bssoftworks.com/geni/ext/circuit/1
+          http://geni.bssoftworks.com/rspec/ext/circuit/1/request.xsd"
+      type="request">
+
+<oess:circuit>
+  <oess:description>LN atla-2-ny</oess:description>
+  <oess:bandwidth mbps="100" />
+  <oess:primaryPath>
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-NEWY32AOA-WASH-100GE-07759" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-ATLA-RALE-100GE-07738" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-RALE-WASH-100GE-08888" />
+  </oess:primaryPath>
+  <oess:backupPath>
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-CLEV-STAR-100GE-07736" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-ATLA-CHIC-100GE-07740" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-CHIC-STAR-100GE-07743" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-BOST-NEWY32AOA-100GE-09211" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-ALBA-BOST-100GE-09210" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-ALBA-CLEV-100GE-07735" />
+  </oess:backupPath>
+  <oess:endpoints>
+    <oess:interface urn="urn:publicid:IDN+oess:foam:nddi+sdn-sw.atla.net.internet2.edu+e15/3" vlan="3001" />
+    <oess:interface urn="urn:publicid:IDN+oess:foam:nddi+sdn-sw.newy32aoa.net.internet2.edu+e15/5" vlan="3001" />
+  </oess:endpoints>
+</oess:circuit>
+
+</rspec>
Index: trunk/OESSRSpecs/oess-ny-2-losa-nobkup.rspec
===================================================================
--- trunk/OESSRSpecs/oess-ny-2-losa-nobkup.rspec	(revision 2383)
+++ trunk/OESSRSpecs/oess-ny-2-losa-nobkup.rspec	(revision 2383)
@@ -0,0 +1,30 @@
+<rspec  xmlns="http://www.geni.net/resources/rspec/3"
+      xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+      xmlns:oess="http://bssoftworks.com/geni/ext/circuit/1"
+      xs:schemaLocation="http://www.geni.net/rspec/3/manifest.xsd
+          http://www.geni.net/resources/rspec/3/request.xsd
+          http://bssoftworks.com/geni/ext/circuit/1
+          http://geni.bssoftworks.com/rspec/ext/circuit/1/request.xsd"
+      type="request">
+
+<oess:circuit>
+  <oess:description>LN ny-2-losa</oess:description>
+  <oess:bandwidth mbps="100" />
+  <oess:primaryPath>
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-CLEV-STAR-100GE-07736" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-LOSA-SUNN-100GE-07755" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-BOST-NEWY32AOA-100GE-09211" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-ALBA-BOST-100GE-09210" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-ALBA-CLEV-100GE-07735" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-MINN-SEAT-100GE-09130" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-MINN-STAR-100GE-09299" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-SEAT-SUNN-100GE-08997-2" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-PORT-SUNN-100GE-10343" />
+  </oess:primaryPath>
+  <oess:endpoints>
+    <oess:interface urn="urn:publicid:IDN+oess:foam:nddi+sdn-sw.newy32aoa.net.internet2.edu+e15/5" vlan="3002" />
+    <oess:interface urn="urn:publicid:IDN+oess:foam:nddi+sdn-sw.losa.net.internet2.edu+e15/3" vlan="3002" />
+  </oess:endpoints>
+</oess:circuit>
+
+</rspec>
Index: trunk/OESSRSpecs/oess-ny-2-losa.rspec
===================================================================
--- trunk/OESSRSpecs/oess-ny-2-losa.rspec	(revision 2383)
+++ trunk/OESSRSpecs/oess-ny-2-losa.rspec	(revision 2383)
@@ -0,0 +1,40 @@
+<rspec  xmlns="http://www.geni.net/resources/rspec/3"
+      xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+      xmlns:oess="http://bssoftworks.com/geni/ext/circuit/1"
+      xs:schemaLocation="http://www.geni.net/rspec/3/manifest.xsd
+          http://www.geni.net/resources/rspec/3/request.xsd
+          http://bssoftworks.com/geni/ext/circuit/1
+          http://geni.bssoftworks.com/rspec/ext/circuit/1/request.xsd"
+      type="request">
+
+<oess:circuit>
+  <oess:description>LN ny-2-losa</oess:description>
+  <oess:bandwidth mbps="100" />
+  <oess:primaryPath>
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-CLEV-STAR-100GE-07736" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-LOSA-SUNN-100GE-07755" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-BOST-NEWY32AOA-100GE-09211" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-ALBA-BOST-100GE-09210" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-ALBA-CLEV-100GE-07735" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-MINN-SEAT-100GE-09130" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-MINN-STAR-100GE-09299" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-SEAT-SUNN-100GE-08997-2" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-PORT-SUNN-100GE-10343" />
+  </oess:primaryPath>
+  <oess:backupPath>
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-NEWY32AOA-WASH-100GE-07759" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-ELPA-HOUH-100GE-07749" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-ATLA-JACK-100GE-07739" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-HOUH-JACK-100GE-08860" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-ATLA-RALE-100GE-07738" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-RALE-WASH-100GE-08888" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-LOSA-PHOE-100GE-09190" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-ELPA-PHOE-100GE-07750" />
+  </oess:backupPath>
+  <oess:endpoints>
+    <oess:interface urn="urn:publicid:IDN+oess:foam:nddi+sdn-sw.newy32aoa.net.internet2.edu+e15/5" vlan="3002" />
+    <oess:interface urn="urn:publicid:IDN+oess:foam:nddi+sdn-sw.losa.net.internet2.edu+e15/3" vlan="3002" />
+  </oess:endpoints>
+</oess:circuit>
+
+</rspec>
Index: trunk/OESSRSpecs/oess-wash-2-ny-nobkup.rspec
===================================================================
--- trunk/OESSRSpecs/oess-wash-2-ny-nobkup.rspec	(revision 2383)
+++ trunk/OESSRSpecs/oess-wash-2-ny-nobkup.rspec	(revision 2383)
@@ -0,0 +1,22 @@
+<rspec  xmlns="http://www.geni.net/resources/rspec/3"
+      xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+      xmlns:oess="http://bssoftworks.com/geni/ext/circuit/1"
+      xs:schemaLocation="http://www.geni.net/rspec/3/manifest.xsd
+          http://www.geni.net/resources/rspec/3/request.xsd
+          http://bssoftworks.com/geni/ext/circuit/1
+          http://geni.bssoftworks.com/rspec/ext/circuit/1/request.xsd"
+      type="request">
+
+<oess:circuit>
+  <oess:description>LN wash-2-ny</oess:description>
+  <oess:bandwidth mbps="100" />
+  <oess:primaryPath>
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-NEWY32AOA-WASH-100GE-07759" />
+  </oess:primaryPath>
+  <oess:endpoints>
+    <oess:interface urn="urn:publicid:IDN+oess:foam:nddi+sdn-sw.newy32aoa.net.internet2.edu+e15/5" vlan="3003" />
+    <oess:interface urn="urn:publicid:IDN+oess:foam:nddi+sdn-sw.wash.net.internet2.edu+e15/2" vlan="3003" />
+  </oess:endpoints>
+</oess:circuit>
+
+</rspec>
Index: trunk/OESSRSpecs/oess-wash-2-ny.rspec
===================================================================
--- trunk/OESSRSpecs/oess-wash-2-ny.rspec	(revision 2383)
+++ trunk/OESSRSpecs/oess-wash-2-ny.rspec	(revision 2383)
@@ -0,0 +1,30 @@
+<rspec  xmlns="http://www.geni.net/resources/rspec/3"
+      xmlns:xs="http://www.w3.org/2001/XMLSchema-instance"
+      xmlns:oess="http://bssoftworks.com/geni/ext/circuit/1"
+      xs:schemaLocation="http://www.geni.net/rspec/3/manifest.xsd
+          http://www.geni.net/resources/rspec/3/request.xsd
+          http://bssoftworks.com/geni/ext/circuit/1
+          http://geni.bssoftworks.com/rspec/ext/circuit/1/request.xsd"
+      type="request">
+
+<oess:circuit>
+  <oess:description>LN wash-2-ny</oess:description>
+  <oess:bandwidth mbps="100" />
+  <oess:primaryPath>
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-NEWY32AOA-WASH-100GE-07759" />
+  </oess:primaryPath>
+  <oess:backupPath>
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-ASHB-WASH-100GE-09106" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-BOST-NEWY32AOA-100GE-09211" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-ALBA-BOST-100GE-09210" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-ALBA-CLEV-100GE-07735" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-CLEV-PITT-100GE-10334" />
+    <oess:link urn="urn:publicid:IDN+oess:foam:nddi+link+I2-ASHB-PITT-100GE-07737" />
+  </oess:backupPath>
+  <oess:endpoints>
+    <oess:interface urn="urn:publicid:IDN+oess:foam:nddi+sdn-sw.newy32aoa.net.internet2.edu+e15/5" vlan="3003" />
+    <oess:interface urn="urn:publicid:IDN+oess:foam:nddi+sdn-sw.wash.net.internet2.edu+e15/2" vlan="3003" />
+  </oess:endpoints>
+</oess:circuit>
+
+</rspec>