Index: /trunk/stitch-examples/stitch-eg-gpo-ig-gpo.rspec
===================================================================
--- /trunk/stitch-examples/stitch-eg-gpo-ig-gpo.rspec	(revision 2561)
+++ /trunk/stitch-examples/stitch-eg-gpo-ig-gpo.rspec	(revision 2561)
@@ -0,0 +1,30 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="eg-gpo" component_manager_id="urn:publicid:IDN+exogeni.net:bbnvmsite+authority+am">
+   <interface client_id="eg-gpo:if0">
+      <ip address="172.16.1.1" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" >
+    <sliver_type name="emulab-openvz"/>
+     <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-gpo:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+exogeni.net:bbnvmsite+authority+am"/>
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <interface_ref client_id="eg-gpo:if0"/>
+    <interface_ref client_id="ig-gpo:if0"/>
+    <property source_id="eg-gpo:if0" dest_id="ig-gpo:if0" capacity="100000"/>
+    <property source_id="ig-gpo:if0" dest_id="eg-gpo:if0" capacity="100000"/>
+  </link>
+</rspec>
Index: /trunk/stitch-examples/stitch-eg-gpo-ig-missouri.rspec
===================================================================
--- /trunk/stitch-examples/stitch-eg-gpo-ig-missouri.rspec	(revision 2561)
+++ /trunk/stitch-examples/stitch-eg-gpo-ig-missouri.rspec	(revision 2561)
@@ -0,0 +1,29 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="eg-gpo" component_manager_id="urn:publicid:IDN+exogeni.net:bbnvmsite+authority+am">
+   <interface client_id="eg-gpo:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <node client_id="miss" component_manager_id="urn:publicid:IDN+instageni.rnet.missouri.edu+authority+cm" >
+    <sliver_type name="emulab-openvz"/>
+     <services> 
+     <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/>
+    </services>
+    <interface client_id="miss:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link-eggpo-igutah">
+    <component_manager name="urn:publicid:IDN+exogeni.net:bbnvmsite+authority+am"/>
+    <interface_ref client_id="eg-gpo:if0"/>
+    <component_manager name="urn:publicid:IDN+instageni.rnet.missouri.edu+authority+cm"/>
+    <interface_ref client_id="miss:if0"/>
+  </link>
+</rspec>
Index: /trunk/stitch-examples/stitch-eg-gpo-ig-nysernet.rspec
===================================================================
--- /trunk/stitch-examples/stitch-eg-gpo-ig-nysernet.rspec	(revision 2561)
+++ /trunk/stitch-examples/stitch-eg-gpo-ig-nysernet.rspec	(revision 2561)
@@ -0,0 +1,29 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="eg-gpo" component_manager_id="urn:publicid:IDN+exogeni.net:bbnvmsite+authority+am">
+   <interface client_id="eg-gpo:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <node client_id="ig-nyse" component_manager_id="urn:publicid:IDN+instageni.nysernet.org+authority+cm" >
+    <sliver_type name="emulab-openvz"/>
+     <services> 
+     <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/>
+    </services>
+    <interface client_id="ig-nyse:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link-eggpo-igutah">
+    <component_manager name="urn:publicid:IDN+exogeni.net:bbnvmsite+authority+am"/>
+    <interface_ref client_id="eg-gpo:if0"/>
+    <component_manager name="urn:publicid:IDN+instageni.nysernet.org+authority+cm"/>
+    <interface_ref client_id="ig-nyse:if0"/>
+  </link>
+</rspec>
Index: /trunk/stitch-examples/stitch-eg-gpo-ig-utahddc.rspec
===================================================================
--- /trunk/stitch-examples/stitch-eg-gpo-ig-utahddc.rspec	(revision 2535)
+++ /trunk/stitch-examples/stitch-eg-gpo-ig-utahddc.rspec	(revision 2561)
@@ -15,5 +15,5 @@
     <sliver_type name="emulab-xen"/>
      <services> 
-     <execute command="sudo yum install iperf -y" shell="sh"/>
+     <execute command="sudo apt-get install iperf -y" shell="sh"/>
     </services>
     <interface client_id="ig-utahddc:if0">
Index: /trunk/stitch-examples/stitch-eg-gpo-pg-utah.rspec
===================================================================
--- /trunk/stitch-examples/stitch-eg-gpo-pg-utah.rspec	(revision 2535)
+++ /trunk/stitch-examples/stitch-eg-gpo-pg-utah.rspec	(revision 2561)
@@ -15,4 +15,5 @@
   <node client_id="pg-utah" component_manager_id="urn:publicid:IDN+emulab.net+authority+cm" >
     <sliver_type name="emulab-openvz"/>
+    <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo apt-get install iperf -y" shell="sh"/> </services>
     <interface client_id="pg-utah:if0">
       <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
@@ -24,6 +25,6 @@
     <interface_ref client_id="eg-gpo:if0"/>
     <interface_ref client_id="pg-utah:if0"/>
-    <property source_id="eg-gpo:if0" dest_id="pg-utah:if0" capacity="1000000"/>
-    <property source_id="pg-utah:if0" dest_id="eg-gpo:if0" capacity="1000000"/>
+    <property source_id="eg-gpo:if0" dest_id="pg-utah:if0" capacity="100000"/>
+    <property source_id="pg-utah:if0" dest_id="eg-gpo:if0" capacity="100000"/>
   </link>
 </rspec>