Index: /trunk/stitch-examples/stitch-ig-miss-ig-utah.rspec
===================================================================
--- /trunk/stitch-examples/stitch-ig-miss-ig-utah.rspec	(revision 2563)
+++ /trunk/stitch-examples/stitch-ig-miss-ig-utah.rspec	(revision 2563)
@@ -0,0 +1,32 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+  <node client_id="ig-utah" component_manager_id="urn:publicid:IDN+utah.geniracks.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+   <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo apt-get install iperf -y" shell="sh"/> </services>
+
+    <interface client_id="ig-utah:if0">
+      <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="miss" component_manager_id="urn:publicid:IDN+instageni.rnet.missouri.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+  <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="miss:if0">
+      <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link0">
+    <component_manager name="urn:publicid:IDN+instageni.rnet.missouri.edu+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+utah.geniracks.net+authority+cm"/>
+    <interface_ref client_id="miss:if0"/>
+    <interface_ref client_id="ig-utah:if0"/>
+    <property source_id="miss:if0" dest_id="ig-utah:if0" capacity="100000"/>
+    <property source_id="ig-utah:if0" dest_id="miss:if0" capacity="100000"/>
+  </link>
+</rspec>
Index: /trunk/stitch-examples/stitch-ig-miss-ig-utahddc.rspec
===================================================================
--- /trunk/stitch-examples/stitch-ig-miss-ig-utahddc.rspec	(revision 2563)
+++ /trunk/stitch-examples/stitch-ig-miss-ig-utahddc.rspec	(revision 2563)
@@ -0,0 +1,32 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+  <node client_id="ig-utah" component_manager_id="urn:publicid:IDN+utah.geniracks.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+   <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo apt-get install iperf -y" shell="sh"/> </services>
+
+    <interface client_id="ig-utah:if0">
+      <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="miss" component_manager_id="urn:publicid:IDN+instageni.rnet.missouri.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+  <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="miss:if0">
+      <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link0">
+    <component_manager name="urn:publicid:IDN+instageni.rnet.missouri.edu+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+utah.geniracks.net+authority+cm"/>
+    <interface_ref client_id="miss:if0"/>
+    <interface_ref client_id="ig-utah:if0"/>
+    <property source_id="miss:if0" dest_id="ig-utah:if0" capacity="100000"/>
+    <property source_id="ig-utah:if0" dest_id="miss:if0" capacity="100000"/>
+  </link>
+</rspec>
Index: /trunk/stitch-examples/stitch-ig-miss-pg-uky.rspec
===================================================================
--- /trunk/stitch-examples/stitch-ig-miss-pg-uky.rspec	(revision 2563)
+++ /trunk/stitch-examples/stitch-ig-miss-pg-uky.rspec	(revision 2563)
@@ -0,0 +1,31 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+  <node client_id="pg-uky" component_manager_id="urn:publicid:IDN+uky.emulab.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+<services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="pg-uky:if0">
+      <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="nyse" component_manager_id="urn:publicid:IDN+instageni.rnet.missouri.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+<services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="miss:if0">
+      <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link0">
+    <component_manager name="urn:publicid:IDN+instageni.rnet.missouri.edu+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+uky.emulab.net+authority+cm"/>
+    <interface_ref client_id="miss:if0"/>
+    <interface_ref client_id="pg-uky:if0"/>
+    <property source_id="miss:if0" dest_id="pg-uky:if0" />
+    <property source_id="pg-uky:if0" dest_id="miss:if0" />
+  </link>
+</rspec>
Index: /trunk/stitch-examples/stitch-ig-miss-pg-utah.rspec
===================================================================
--- /trunk/stitch-examples/stitch-ig-miss-pg-utah.rspec	(revision 2563)
+++ /trunk/stitch-examples/stitch-ig-miss-pg-utah.rspec	(revision 2563)
@@ -0,0 +1,31 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+  <node client_id="pg-utah" component_manager_id="urn:publicid:IDN+emulab.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+<services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="pg-utah:if0">
+      <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="nyse" component_manager_id="urn:publicid:IDN+instageni.rnet.missouri.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+<services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="miss:if0">
+      <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link0">
+    <component_manager name="urn:publicid:IDN+instageni.rnet.missouri.edu+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+emulab.net+authority+cm"/>
+    <interface_ref client_id="miss:if0"/>
+    <interface_ref client_id="pg-utah:if0"/>
+    <property source_id="miss:if0" dest_id="pg-utah:if0" />
+    <property source_id="pg-utah:if0" dest_id="miss:if0" />
+  </link>
+</rspec>
Index: /trunk/stitch-examples/stitch-ig-nyse-ig-miss.rspec
===================================================================
--- /trunk/stitch-examples/stitch-ig-nyse-ig-miss.rspec	(revision 2563)
+++ /trunk/stitch-examples/stitch-ig-nyse-ig-miss.rspec	(revision 2563)
@@ -0,0 +1,32 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="nyse" component_manager_id="urn:publicid:IDN+instageni.nysernet.org+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+<services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="nyse:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="miss" component_manager_id="urn:publicid:IDN+instageni.rnet.missouri.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+  <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="miss:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link0">
+    <component_manager name="urn:publicid:IDN+instageni.nysernet.org+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+instageni.rnet.missouri.edu+authority+cm"/>
+    <interface_ref client_id="nyse:if0"/>
+    <interface_ref client_id="miss:if0"/>
+    <property source_id="nyse:if0" dest_id="miss:if0" capacity="100000"/>
+    <property source_id="miss:if0" dest_id="nyse:if0" capacity="100000"/>
+  </link>
+</rspec>
Index: /trunk/stitch-examples/stitch-ig-nyse-ig-utah.rspec
===================================================================
--- /trunk/stitch-examples/stitch-ig-nyse-ig-utah.rspec	(revision 2563)
+++ /trunk/stitch-examples/stitch-ig-nyse-ig-utah.rspec	(revision 2563)
@@ -0,0 +1,31 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+  <node client_id="ig-utah" component_manager_id="urn:publicid:IDN+utah.geniracks.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+<services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-utah:if0">
+      <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="nyse" component_manager_id="urn:publicid:IDN+instageni.nysernet.org+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+<services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="nyse:if0">
+      <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link0">
+    <component_manager name="urn:publicid:IDN+instageni.nysernet.org+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+utah.geniracks.net+authority+cm"/>
+    <interface_ref client_id="nyse:if0"/>
+    <interface_ref client_id="ig-utah:if0"/>
+    <property source_id="nyse:if0" dest_id="ig-utah:if0" capacity="100000"/>
+    <property source_id="ig-utah:if0" dest_id="nyse:if0" capacity="100000"/>
+  </link>
+</rspec>
Index: /trunk/stitch-examples/stitch-ig-nyse-ig-utahddc.rspec
===================================================================
--- /trunk/stitch-examples/stitch-ig-nyse-ig-utahddc.rspec	(revision 2563)
+++ /trunk/stitch-examples/stitch-ig-nyse-ig-utahddc.rspec	(revision 2563)
@@ -0,0 +1,31 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+  <node client_id="ig-utahddc" component_manager_id="urn:publicid:IDN+utahddc.geniracks.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+<services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-utahddc:if0">
+      <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="nyse" component_manager_id="urn:publicid:IDN+instageni.nysernet.org+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+<services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="nyse:if0">
+      <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link0">
+    <component_manager name="urn:publicid:IDN+instageni.nysernet.org+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+utahddc.geniracks.net+authority+cm"/>
+    <interface_ref client_id="nyse:if0"/>
+    <interface_ref client_id="ig-utahddc:if0"/>
+    <property source_id="nyse:if0" dest_id="ig-utahddc:if0" capacity="100000"/>
+    <property source_id="ig-utahddc:if0" dest_id="nyse:if0" capacity="100000"/>
+  </link>
+</rspec>
Index: /trunk/stitch-examples/stitch-ig-nyse-pg-uky.rspec
===================================================================
--- /trunk/stitch-examples/stitch-ig-nyse-pg-uky.rspec	(revision 2563)
+++ /trunk/stitch-examples/stitch-ig-nyse-pg-uky.rspec	(revision 2563)
@@ -0,0 +1,31 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+  <node client_id="pg-uky" component_manager_id="urn:publicid:IDN+uky.emulab.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+<services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="pg-uky:if0">
+      <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="nyse" component_manager_id="urn:publicid:IDN+instageni.nysernet.org+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+<services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="nyse:if0">
+      <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link0">
+    <component_manager name="urn:publicid:IDN+instageni.nysernet.org+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+uky.emulab.net+authority+cm"/>
+    <interface_ref client_id="nyse:if0"/>
+    <interface_ref client_id="pg-uky:if0"/>
+    <property source_id="nyse:if0" dest_id="pg-uky:if0" capacity="100000"/>
+    <property source_id="pg-uky:if0" dest_id="nyse:if0" capacity="100000"/>
+  </link>
+</rspec>
Index: /trunk/stitch-examples/stitch-ig-nyse-pg-utah.rspec
===================================================================
--- /trunk/stitch-examples/stitch-ig-nyse-pg-utah.rspec	(revision 2563)
+++ /trunk/stitch-examples/stitch-ig-nyse-pg-utah.rspec	(revision 2563)
@@ -0,0 +1,31 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+  <node client_id="pg-utah" component_manager_id="urn:publicid:IDN+emulab.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+<services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="pg-utah:if0">
+      <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="nyse" component_manager_id="urn:publicid:IDN+instageni.nysernet.org+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+<services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="nyse:if0">
+      <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link0">
+    <component_manager name="urn:publicid:IDN+instageni.nysernet.org+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+emulab.net+authority+cm"/>
+    <interface_ref client_id="nyse:if0"/>
+    <interface_ref client_id="pg-utah:if0"/>
+    <property source_id="nyse:if0" dest_id="pg-utah:if0" capacity="100000"/>
+    <property source_id="pg-utah:if0" dest_id="nyse:if0" capacity="100000"/>
+  </link>
+</rspec>