Index: trunk/stitch-examples/stitch-star-ddc.rspec
===================================================================
--- trunk/stitch-examples/stitch-star-ddc.rspec	(revision 2564)
+++ trunk/stitch-examples/stitch-star-ddc.rspec	(revision 2564)
@@ -0,0 +1,86 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="ig-uthaddc" component_manager_id="urn:publicid:IDN+uthaddc.geniracks.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+     <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-uthaddc:if0">
+      <ip address="192.168.0.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+    <interface client_id="ig-uthaddc:if1">
+      <ip address="192.168.1.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+   <interface client_id="ig-uthaddc:if2">
+      <ip address="192.168.2.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+   <interface client_id="ig-uthaddc:if3">
+      <ip address="192.168.3.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="pg-uky" component_manager_id="urn:publicid:IDN+uky.emulab.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+     <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="pg-uky:if0">
+      <ip address="192.168.0.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+     <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-gpo:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="pg-utah" component_manager_id="urn:publicid:IDN+emulab.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="pg-utah:if0">
+      <ip address="192.168.2.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="ig-utah" component_manager_id="urn:publicid:IDN+utah.geniracks.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-utah:if0">
+      <ip address="192.168.3.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link-2-pgky">
+    <component_manager name="urn:publicid:IDN+uthaddc.geniracks.net+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+uky.emulab.net+authority+cm"/>
+    <interface_ref client_id="ig-uthaddc:if0"/>
+    <interface_ref client_id="pg-uky:if0"/>
+    <property source_id="ig-uthaddc:if0" dest_id="pg-uky:if0"/>
+    <property source_id="pg-uky:if0" dest_id="ig-uthaddc:if0"/>
+  </link>
+  <link client_id="link-2-iggpo">
+    <component_manager name="urn:publicid:IDN+uthaddc.geniracks.net+authority+cm"/> 
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <interface_ref client_id="ig-gpo:if0"/>
+    <interface_ref client_id="ig-utahddc:if1"/>
+    <property source_id="ig-gpo:if0" dest_id="ig-uthaddc:if1"/>
+    <property source_id="ig-uthaddc:if1" dest_id="ig-gpo:if0"/>
+  </link> 
+  <link client_id="link-2-pgutha">
+    <component_manager name="urn:publicid:IDN+uthaddc.geniracks.net+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+emulab.net+authority+cm"/>
+    <interface_ref client_id="ig-uthaddc:if2"/>
+    <interface_ref client_id="pg-utah:if0"/>
+    <property source_id="pg-utah:if0" dest_id="ig-uthaddc:if1"/>
+    <property source_id="ig-uthaddc:if1" dest_id="pg-utah:if0"/>
+  </link>
+  <link client_id="link-2-igutah">
+   <component_manager name="urn:publicid:IDN+uthaddc.geniracks.net+authority+cm"/>
+   <component_manager name="urn:publicid:IDN+utah.geniracks.net+authority+cm"/>
+   <interface_ref client_id="ig-uthaddc:if3"/>
+   <interface_ref client_id="pg-utah:if0"/>
+   <property source_id="ig-utah:if0" dest_id="ig-uthaddc:if3"/>
+   <property source_id="ig-uthaddc:if3" dest_id="ig-utah:if0"/>
+  </link>
+</rspec>
Index: trunk/stitch-examples/stitch-triangle.rspec
===================================================================
--- trunk/stitch-examples/stitch-triangle.rspec	(revision 2563)
+++ trunk/stitch-examples/stitch-triangle.rspec	(revision 2564)
@@ -8,11 +8,11 @@
 	http://www.geni.net/resources/rspec/3/request.xsd">  
 
-  <node client_id="pg-utah" component_manager_id="urn:publicid:IDN+emulab.net+authority+cm" exclusive="false">
+  <node client_id="ig-utah" component_manager_id="urn:publicid:IDN+utah.geniracks.net+authority+cm" exclusive="false">
     <sliver_type name="emulab-openvz"/>
-     <services> <execute command="sudo yum install iperf -y" shell="sh"/> </services>
-    <interface client_id="pg-utah:if0">
+     <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-utah:if0">
       <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
     </interface>
-    <interface client_id="pg-utah:if1">
+    <interface client_id="ig-utah:if1">
       <ip address="192.168.6.1" netmask="255.255.255.0" type="ipv4"/>
     </interface>
@@ -21,5 +21,5 @@
   <node client_id="pg-uky" component_manager_id="urn:publicid:IDN+uky.emulab.net+authority+cm" exclusive="false">
     <sliver_type name="emulab-openvz"/>
-     <services> <execute command="sudo yum install iperf -y" shell="sh"/> </services>
+     <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
     <interface client_id="pg-uky:if0">
       <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
@@ -32,5 +32,5 @@
   <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
     <sliver_type name="emulab-openvz"/>
-     <services> <execute command="sudo yum install iperf -y" shell="sh"/> </services>
+     <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
     <interface client_id="ig-gpo:if0">
       <ip address="192.168.5.1" netmask="255.255.255.0" type="ipv4"/>
@@ -44,8 +44,8 @@
     <component_manager name="urn:publicid:IDN+emulab.net+authority+cm"/>
     <component_manager name="urn:publicid:IDN+uky.emulab.net+authority+cm"/>
-    <interface_ref client_id="pg-utah:if0"/>
+    <interface_ref client_id="ig-utah:if0"/>
     <interface_ref client_id="pg-uky:if0"/>
-    <property source_id="pg-utah:if0" dest_id="pg-uky:if0"/>
-    <property source_id="pg-uky:if0" dest_id="pg-utah:if0"/>
+    <property source_id="ig-utah:if0" dest_id="pg-uky:if0"/>
+    <property source_id="pg-uky:if0" dest_id="ig-utah:if0"/>
   </link>
 
@@ -63,7 +63,7 @@
     <component_manager name="urn:publicid:IDN+emulab.net+authority+cm"/>
     <interface_ref client_id="ig-gpo:if1"/>
-    <interface_ref client_id="pg-utah:if1"/>
-    <property source_id="ig-gpo:if1" dest_id="pg-utah:if1"/>
-    <property source_id="pg-utah:if1" dest_id="ig-gpo:if1"/>
+    <interface_ref client_id="ig-utah:if1"/>
+    <property source_id="ig-gpo:if1" dest_id="ig-utah:if1"/>
+    <property source_id="ig-utah:if1" dest_id="ig-gpo:if1"/>
   </link>
 