Index: trunk/stitch-examples/Illinois/IG-ST-1-ion.rspec
===================================================================
--- trunk/stitch-examples/Illinois/IG-ST-1-ion.rspec	(revision 2597)
+++ trunk/stitch-examples/Illinois/IG-ST-1-ion.rspec	(revision 2597)
@@ -0,0 +1,30 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+        xmlns="http://www.geni.net/resources/rspec/3" 
+        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+        http://www.geni.net/resources/rspec/3/request.xsd">
+
+  <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" >
+    <sliver_type name="raw-pc"/>
+   <services> <execute command="sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-gpo:if0">
+      <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="ig-ill" component_manager_id="urn:publicid:IDN+instageni.illinois.edu+authority+cm" >
+    <sliver_type name="raw-pc"/>
+   <services> <execute command="sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-ill:if0">
+      <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+instageni.illinois.edu+authority+cm"/>
+    <interface_ref client_id="ig-gpo:if0"/>
+    <interface_ref client_id="ig-ill:if0"/>
+    <property capacity="100000" source_id="ig-gpo:if0" dest_id="ig-ill:if0" />
+    <property capacity="100000" source_id="ig-ill:if0" dest_id="ig-gpo:if0" />
+  </link>
+</rspec>
Index: trunk/stitch-examples/Illinois/IG-ST-2.rspec
===================================================================
--- trunk/stitch-examples/Illinois/IG-ST-2.rspec	(revision 2597)
+++ trunk/stitch-examples/Illinois/IG-ST-2.rspec	(revision 2597)
@@ -0,0 +1,42 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+        xmlns="http://www.geni.net/resources/rspec/3" 
+        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+        http://www.geni.net/resources/rspec/3/request.xsd">
+
+  <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="ig-gpo:if0">
+      <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+    <interface client_id="ig-gpo:if1">
+      <ip address="10.10.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="ig-ill" component_manager_id="urn:publicid:IDN+instageni.illinois.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="ig-ill:if0">
+      <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+    <interface client_id="ig-ill:if1">
+      <ip address="10.10.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+instageni.illinois.edu+authority+cm"/>
+    <interface_ref client_id="ig-gpo:if0"/>
+    <interface_ref client_id="ig-ill:if0"/>
+    <property source_id="ig-gpo:if0" dest_id="ig-ill:if0" capacity="100000"/>
+    <property source_id="ig-ill:if0" dest_id="ig-gpo:if0" capacity="100000"/>
+  </link>
+  <link client_id="link1">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+instageni.illinois.edu+authority+cm"/>
+    <interface_ref client_id="ig-gpo:if1"/>
+    <interface_ref client_id="ig-ill:if1"/>
+    <property source_id="ig-gpo:if1" dest_id="ig-ill:if1" capacity="100000"/>
+    <property source_id="ig-ill:if1" dest_id="ig-gpo:if1" capacity="100000"/>
+  </link>
+</rspec>
Index: trunk/stitch-examples/Illinois/IG-ST-3.rspec
===================================================================
--- trunk/stitch-examples/Illinois/IG-ST-3.rspec	(revision 2597)
+++ trunk/stitch-examples/Illinois/IG-ST-3.rspec	(revision 2597)
@@ -0,0 +1,51 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+   <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-gpo:if0">
+      <ip address="192.168.2.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="ig-utah" component_manager_id="urn:publicid:IDN+utah.geniracks.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+   <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-utah:if0">
+      <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="miss" component_manager_id="urn:publicid:IDN+instageni.illinois.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+   <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="ill:if0">
+      <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+    <interface client_id="ill:if1">
+      <ip address="192.168.2.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+instageni.illinois.edu+authority+cm"/>
+    <interface_ref client_id="ig-gpo:if0"/>
+    <interface_ref client_id="ill:if1"/>
+    <property source_id="ig-gpo:if0" dest_id="ill:if1" />
+    <property source_id="ill:if1" dest_id="ig-gpo:if0" />
+  </link>
+  <link client_id="link1">
+    <component_manager name="urn:publicid:IDN+instageni.illinois.edu+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+utah.geniracks.net+authority+cm"/>
+    <interface_ref client_id="ig-utah:if0"/>
+    <interface_ref client_id="ill:if0"/>
+    <property source_id="ill:if0" dest_id="ig-utah:if0" capacity="100000" />
+    <property source_id="ig-utah:if0" dest_id="ill:if0" capacity="100000" />
+  </link>
+</rspec>
Index: trunk/stitch-examples/Illinois/IG-ST-4.rspec
===================================================================
--- trunk/stitch-examples/Illinois/IG-ST-4.rspec	(revision 2597)
+++ trunk/stitch-examples/Illinois/IG-ST-4.rspec	(revision 2597)
@@ -0,0 +1,26 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+ <node client_id="eg-gpo" component_manager_id="urn:publicid:IDN+exogeni.net:bbnvmsite+authority+cm" >
+    <interface client_id="eg-gpo:if0">
+      <ip address="192.168.4.1" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <node client_id="ig-ill" component_manager_id="urn:publicid:IDN+instageni.illinois.edu+authority+cm" >
+    <sliver_type name="raw-pc"/>
+   <services> <execute command="sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-ill:if0">
+      <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link-eggpo-igutah">
+    <component_manager name="urn:publicid:IDN+exogeni.net:bbnvmsite+authority+am"/>
+    <interface_ref client_id="eg-gpo:if0"/>
+    <component_manager name="urn:publicid:IDN+instageni.illinois.edu+authority+cm"/>
+    <interface_ref client_id="ig-ill:if0"/>
+  </link>
+</rspec>