Index: /trunk/GRAMRSpecExamples/GR-EXP-2-exp1.rspec
===================================================================
--- /trunk/GRAMRSpecExamples/GR-EXP-2-exp1.rspec	(revision 2970)
+++ /trunk/GRAMRSpecExamples/GR-EXP-2-exp1.rspec	(revision 2970)
@@ -0,0 +1,27 @@
+<rspec type="request"
+        xmlns="http://www.geni.net/resources/rspec/3"
+        xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1"
+        xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1"
+        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+        xsi:schemaLocation="http://www.geni.net/resources/rspec/3
+        http://www.geni.net/resources/rspec/3/request.xsd">
+
+ <node client_id="VM-1" component_id="urn:publicid:IDN+clemson-clemson-control-1+node+clemson-clemson-compute-1" exclusive="false">                                         
+     <sliver_type name="m1.small" />
+      <interface client_id="VM-1:if0" >
+       <ip address="192.168.1.1" netmask="255.255.0.0" />
+      </interface>
+ </node>
+ <node client_id="VM-2" component_id="urn:publicid:IDN+clemson-clemson-control-1+node+clemson-clemson-compute-1" exclusive="false">
+     <sliver_type name="m1.small" />
+      <interface client_id="VM-2:if0" >
+        <ip address="192.168.1.2" netmask="255.255.0.0" />
+      </interface>
+ </node>
+  <link client_id="link">
+    <interface_ref client_id="VM-1:if0"/>
+    <interface_ref client_id="VM-2:if0"/>
+    <property source_id="VM-1:if0" dest_id="VM-2:if0"/>
+    <property source_id="VM-2:if0" dest_id="VM-1:if0"/>
+  </link>
+</rspec>
Index: /trunk/GRAMRSpecExamples/GR-EXP-2-exp2.rspec
===================================================================
--- /trunk/GRAMRSpecExamples/GR-EXP-2-exp2.rspec	(revision 2970)
+++ /trunk/GRAMRSpecExamples/GR-EXP-2-exp2.rspec	(revision 2970)
@@ -0,0 +1,27 @@
+<rspec type="request"
+        xmlns="http://www.geni.net/resources/rspec/3"
+        xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1"
+        xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1"
+        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+        xsi:schemaLocation="http://www.geni.net/resources/rspec/3
+        http://www.geni.net/resources/rspec/3/request.xsd">
+
+ <node client_id="VM-1" component_id="urn:publicid:IDN+clemson-clemson-control-1+node+clemson-clemson-compute-1" exclusive="false">                                         
+     <sliver_type name="m1.small" />
+      <interface client_id="VM-1:if0" >
+       <ip address="192.168.1.1" netmask="255.255.0.0" />
+      </interface>
+ </node>
+ <node client_id="VM-2" component_id="urn:publicid:IDN+clemson-clemson-control-1+node+clemson-clemson-compute-2" exclusive="false">
+     <sliver_type name="m1.small" />
+      <interface client_id="VM-2:if0" >
+        <ip address="192.168.1.2" netmask="255.255.0.0" />
+      </interface>
+ </node>
+  <link client_id="link">
+    <interface_ref client_id="VM-1:if0"/>
+    <interface_ref client_id="VM-2:if0"/>
+    <property source_id="VM-1:if0" dest_id="VM-2:if0"/>
+    <property source_id="VM-2:if0" dest_id="VM-1:if0"/>
+  </link>
+</rspec>
Index: /trunk/GRAMRSpecExamples/GR-EXP-3-2vm-1lan.rspec
===================================================================
--- /trunk/GRAMRSpecExamples/GR-EXP-3-2vm-1lan.rspec	(revision 2970)
+++ /trunk/GRAMRSpecExamples/GR-EXP-3-2vm-1lan.rspec	(revision 2970)
@@ -0,0 +1,27 @@
+<rspec type="request"
+        xmlns="http://www.geni.net/resources/rspec/3"
+        xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1"
+        xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1"
+        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+        xsi:schemaLocation="http://www.geni.net/resources/rspec/3
+        http://www.geni.net/resources/rspec/3/request.xsd">
+
+ <node client_id="VM-1" component_manager_id="urn:publicid:IDN+clemson-clemson-control-1.clemson.edu+authority+am">
+     <sliver_type name="m1.small" />
+      <interface client_id="VM-1:if0" >
+       <ip address="172.16.1.1" netmask="255.255.0.0" />
+      </interface>
+ </node>
+ <node client_id="VM-2" component_manager_id="urn:publicid:IDN+clemson-clemson-control-1.clemson.edu+authority+am" >
+     <sliver_type name="m1.small" />
+      <interface client_id="VM-2:if0" >
+        <ip address="172.16.1.2" netmask="255.255.0.0" />
+      </interface>
+ </node>
+  <link client_id="link">
+    <interface_ref client_id="VM-1:if0"/>
+    <interface_ref client_id="VM-2:if0"/>
+    <property source_id="VM-1:if0" dest_id="VM-2:if0"/>
+    <property source_id="VM-2:if0" dest_id="VM-1:if0"/>
+  </link>
+</rspec>
Index: /trunk/GRAMRSpecExamples/GR-EXP-3-5vm-1lan.rspec
===================================================================
--- /trunk/GRAMRSpecExamples/GR-EXP-3-5vm-1lan.rspec	(revision 2970)
+++ /trunk/GRAMRSpecExamples/GR-EXP-3-5vm-1lan.rspec	(revision 2970)
@@ -0,0 +1,62 @@
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+ <node client_id="VM-1" component_manager_id="urn:publicid:IDN+clemson-clemson-control-1.clemson.edu+authority+am" >
+     <sliver_type name="m1.small" />
+    <interface client_id="VM-1:if0">
+    </interface>
+  </node>
+ <node client_id="VM-2" component_manager_id="urn:publicid:IDN+clemson-clemson-control-1.clemson.edu+authority+am" >
+     <sliver_type name="m1.small" />
+    <interface client_id="VM-2:if0">
+    </interface>
+  </node>
+ <node client_id="VM-3" component_manager_id="urn:publicid:IDN+clemson-clemson-control-1.clemson.edu+authority+am" >
+     <sliver_type name="m1.small" />
+    <interface client_id="VM-3:if0">
+    </interface>
+  </node>
+ <node client_id="VM-4" component_manager_id="urn:publicid:IDN+clemson-clemson-control-1.clemson.edu+authority+am" >
+     <sliver_type name="m1.small" />
+    <interface client_id="VM-4:if0">
+    </interface>
+  </node>
+ <node client_id="VM-5" component_manager_id="urn:publicid:IDN+clemson-clemson-control-1.clemson.edu+authority+am" >
+     <sliver_type name="m1.small" />
+    <interface client_id="VM-5:if0">
+    </interface>
+  </node>
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+clemson-clemson-control-1.clemson.edu+authority+am" />
+    <interface_ref client_id="VM-1:if0"/>
+    <interface_ref client_id="VM-2:if0"/>
+    <interface_ref client_id="VM-3:if0"/>
+    <interface_ref client_id="VM-4:if0"/>
+    <interface_ref client_id="VM-5:if0"/>
+    <property source_id="VM-1:if0" dest_id="VM-2:if0"/>
+    <property source_id="VM-1:if0" dest_id="VM-3:if0"/>
+    <property source_id="VM-1:if0" dest_id="VM-4:if0"/>
+    <property source_id="VM-1:if0" dest_id="VM-5:if0"/>
+    <property source_id="VM-2:if0" dest_id="VM-1:if0"/>
+    <property source_id="VM-2:if0" dest_id="VM-3:if0"/>
+    <property source_id="VM-2:if0" dest_id="VM-4:if0"/>
+    <property source_id="VM-2:if0" dest_id="VM-5:if0"/>
+    <property source_id="VM-3:if0" dest_id="VM-1:if0"/>
+    <property source_id="VM-3:if0" dest_id="VM-2:if0"/>
+    <property source_id="VM-3:if0" dest_id="VM-4:if0"/>
+    <property source_id="VM-3:if0" dest_id="VM-5:if0"/>
+    <property source_id="VM-4:if0" dest_id="VM-1:if0"/>
+    <property source_id="VM-4:if0" dest_id="VM-2:if0"/>
+    <property source_id="VM-4:if0" dest_id="VM-3:if0"/>
+    <property source_id="VM-4:if0" dest_id="VM-5:if0"/>
+    <property source_id="VM-5:if0" dest_id="VM-1:if0"/>
+    <property source_id="VM-5:if0" dest_id="VM-2:if0"/>
+    <property source_id="VM-5:if0" dest_id="VM-3:if0"/>
+    <property source_id="VM-5:if0" dest_id="VM-4:if0"/>
+    <link_type name="lan"/>
+  </link>
+</rspec>
Index: /trunk/GRAMRSpecExamples/GR-EXP-6-exp1.rspec
===================================================================
--- /trunk/GRAMRSpecExamples/GR-EXP-6-exp1.rspec	(revision 2970)
+++ /trunk/GRAMRSpecExamples/GR-EXP-6-exp1.rspec	(revision 2970)
@@ -0,0 +1,54 @@
+<rspec type="request"
+        xmlns="http://www.geni.net/resources/rspec/3"
+        xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1"
+        xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1"
+	xmlns:emulab="http://www.protogeni.net/resources/rspec/ext/emulab/1"
+	xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+        xsi:schemaLocation="http://www.geni.net/resources/rspec/3
+	http://www.geni.net/resources/rspec/ext/openflow/3
+        http://www.geni.net/resources/rspec/3/request.xsd">
+
+  <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="true">
+    <sliver_type name="raw-pc"/>
+    <interface client_id="ig-gpo:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+ </node>
+
+ <node client_id="gr-clem" component_manager_id="urn:publicid:IDN+clemson-clemson-control-1.clemson.edu+authority+am">
+     <sliver_type name="m1.small" />
+      <interface client_id="gr-clem:if0" >
+        <ip address="192.168.1.2" netmask="255.255.255.0" />
+      </interface>
+      <interface client_id="gr-clem:if1" >
+        <ip address="192.168.2.2" netmask="255.255.255.0" />
+      </interface>
+ </node>
+
+<node client_id="gr-clem1" component_manager_id="urn:publicid:IDN+clemson-clemson-control-1.clemson.edu+authority+am">
+     <sliver_type name="m1.small" />
+      <interface client_id="gr-clem1:if0" >
+        <ip address="192.168.2.1" netmask="255.255.255.0" />
+      </interface>
+ </node>
+
+  <link client_id="linkOF1">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+clemson-clemson-control-1.clemson.edu+authority+am"/>
+    <interface_ref client_id="ig-gpo:if0"/>
+    <interface_ref client_id="gr-clem:if0"/>
+    <property capacity="100000" source_id="ig-gpo:if0" dest_id="gr-clem:if0"/>
+    <property capacity="100000" source_id="gr-clem:if0" dest_id="ig-gpo:if0"/>
+     <emulab:openflow_controller url="tcp:130.127.88.98:9000" />
+     <openflow:controller url="tcp:130.127.88.98:9000" type="primary"/>
+  </link>
+  <link client_id="linkOF2">
+    <component_manager name="urn:publicid:IDN+clemson-clemson-control-1.clemson.edu+authority+am"/>
+    <interface_ref client_id="gr-clem:if1"/>
+    <interface_ref client_id="gr-clem1:if0"/>
+    <property capacity="100000" source_id="gr-clem:if1" dest_id="gr-clem1:if0"/>
+    <property capacity="100000" source_id="gr-clem1:if0" dest_id="gr-clem:if1"/>
+     <openflow:controller url="tcp:130.127.88.98:9000" type="primary"/>
+  </link>
+</rspec>
Index: /trunk/GRAMRSpecExamples/GR-EXP-6-exp2.rspec
===================================================================
--- /trunk/GRAMRSpecExamples/GR-EXP-6-exp2.rspec	(revision 2970)
+++ /trunk/GRAMRSpecExamples/GR-EXP-6-exp2.rspec	(revision 2970)
@@ -0,0 +1,34 @@
+<rspec type="request"
+        xmlns="http://www.geni.net/resources/rspec/3"
+        xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1"
+        xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1"
+	xmlns:emulab="http://www.protogeni.net/resources/rspec/ext/emulab/1"
+	xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+        xsi:schemaLocation="http://www.geni.net/resources/rspec/3
+	http://www.geni.net/resources/rspec/ext/openflow/3
+        http://www.geni.net/resources/rspec/3/request.xsd">
+
+  <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="ig-gpo:if0">
+      <ip address="192.168.9.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+ <node client_id="gr-clem" component_manager_id="urn:publicid:IDN+clemson-clemson-control-1.clemson.edu+authority+am">
+     <sliver_type name="m1.small" />
+      <interface client_id="gr-clem:if0" >
+        <ip address="192.168.9.2" netmask="255.255.255.0" />
+      </interface>
+ </node>
+  <link client_id="linkOF">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+clemson-clemson-control-1.clemson.edu+authority+am"/>
+    <interface_ref client_id="ig-gpo:if0"/>
+    <interface_ref client_id="gr-clem:if0"/>
+    <property capacity="100000" source_id="ig-gpo:if0" dest_id="gr-clem:if0"/>
+    <property capacity="100000" source_id="gr-clem:if0" dest_id="ig-gpo:if0"/>
+     <emulab:openflow_controller url="tcp:192.1.249.185:33019" />
+     <openflow:controller url="tcp:192.1.249.185:33019" type="primary"/>
+  </link>
+</rspec>
Index: /trunk/GRAMRSpecExamples/GR-EXP-6-exp3.rspec
===================================================================
--- /trunk/GRAMRSpecExamples/GR-EXP-6-exp3.rspec	(revision 2970)
+++ /trunk/GRAMRSpecExamples/GR-EXP-6-exp3.rspec	(revision 2970)
@@ -0,0 +1,34 @@
+<rspec type="request"
+        xmlns="http://www.geni.net/resources/rspec/3"
+        xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1"
+        xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1"
+	xmlns:emulab="http://www.protogeni.net/resources/rspec/ext/emulab/1"
+	xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+        xsi:schemaLocation="http://www.geni.net/resources/rspec/3
+	http://www.geni.net/resources/rspec/ext/openflow/3
+        http://www.geni.net/resources/rspec/3/request.xsd">
+
+  <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+    <interface client_id="ig-gpo:if0">
+      <ip address="192.168.9.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+ <node client_id="gr-clem" component_manager_id="urn:publicid:IDN+clemson-clemson-control-1.clemson.edu+authority+am">
+     <sliver_type name="m1.small" />
+      <interface client_id="gr-clem:if0" >
+        <ip address="192.168.9.2" netmask="255.255.255.0" />
+      </interface>
+ </node>
+  <link client_id="linkOF">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+clemson-clemson-control-1.clemson.edu+authority+am"/>
+    <interface_ref client_id="ig-gpo:if0"/>
+    <interface_ref client_id="gr-clem:if0"/>
+    <property capacity="100000" source_id="ig-gpo:if0" dest_id="gr-clem:if0"/>
+    <property capacity="100000" source_id="gr-clem:if0" dest_id="ig-gpo:if0"/>
+     <emulab:openflow_controller url="tcp:130.127.88.98:9000" />
+     <openflow:controller url="tcp:130.127.88.98:9000" type="primary"/>
+  </link>
+</rspec>
Index: /trunk/GRAMRSpecExamples/GR-EXP-6-gram-only.rspec
===================================================================
--- /trunk/GRAMRSpecExamples/GR-EXP-6-gram-only.rspec	(revision 2970)
+++ /trunk/GRAMRSpecExamples/GR-EXP-6-gram-only.rspec	(revision 2970)
@@ -0,0 +1,43 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+         xmlns="http://www.geni.net/resources/rspec/3" 
+	 xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+         xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	 http://www.geni.net/resources/rspec/ext/openflow/3
+         http://www.geni.net/resources/rspec/3/request.xsd">  
+<node client_id="of-vm1" component_id="urn:publicid:IDN+clemson-clemson-control-1+node+clemson-clemson-compute-1" exclusive="false"> 
+    <sliver_type name="m1.small">
+    </sliver_type>
+      <interface client_id="of-vm1:if0" >
+      </interface>
+</node>
+
+<node client_id="of-vm2" component_id="urn:publicid:IDN+clemson-clemson-control-1+node+clemson-clemson-compute-2" exclusive="false"> 
+    <sliver_type name="m1.small">
+    </sliver_type>
+      <interface client_id="of-vm2:if0" >
+      </interface>
+ </node>
+<node client_id="of-vm3" component_id="urn:publicid:IDN+clemson-clemson-control-1+node+clemson-clemson-compute-1" exclusive="false">
+    <sliver_type name="m1.small">
+    </sliver_type>
+      <interface client_id="of-vm3:if0" >
+      </interface>
+</node>
+
+<node client_id="of-vm4" component_id="urn:publicid:IDN+clemson-clemson-control-1+node+clemson-clemson-compute-2" exclusive="false">
+    <sliver_type name="m1.small">
+    </sliver_type>
+      <interface client_id="of-vm4:if0" >
+      </interface>
+ </node>
+
+ <link client_id="link-vm1-vm2">
+    <interface_ref client_id="of-vm1:if0"/>
+    <interface_ref client_id="of-vm2:if0"/>
+    <interface_ref client_id="of-vm3:if0"/>
+    <interface_ref client_id="of-vm4:if0"/>
+  </link>
+<openflow:controller url="tcp:130.127.88.98:9000" type="primary"/>
+</rspec>