Index: unk/OpenGENIRSpecExamples/GR-EXP-6-gram-only.rspec
===================================================================
--- /trunk/OpenGENIRSpecExamples/GR-EXP-6-gram-only.rspec	(revision 2995)
+++ 	(revision )
@@ -1,43 +1,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<rspec type="request" 
-         xmlns="http://www.geni.net/resources/rspec/3" 
-	 xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
-         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
-         xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
-	 http://www.geni.net/resources/rspec/ext/openflow/3
-         http://www.geni.net/resources/rspec/3/request.xsd">  
-<node client_id="of-vm1" component_id="urn:publicid:IDN+clemson-clemson-control-1+node+clemson-clemson-compute-1" exclusive="false"> 
-    <sliver_type name="m1.small">
-    </sliver_type>
-      <interface client_id="of-vm1:if0" >
-      </interface>
-</node>
-
-<node client_id="of-vm2" component_id="urn:publicid:IDN+clemson-clemson-control-1+node+clemson-clemson-compute-2" exclusive="false"> 
-    <sliver_type name="m1.small">
-    </sliver_type>
-      <interface client_id="of-vm2:if0" >
-      </interface>
- </node>
-<node client_id="of-vm3" component_id="urn:publicid:IDN+clemson-clemson-control-1+node+clemson-clemson-compute-1" exclusive="false">
-    <sliver_type name="m1.small">
-    </sliver_type>
-      <interface client_id="of-vm3:if0" >
-      </interface>
-</node>
-
-<node client_id="of-vm4" component_id="urn:publicid:IDN+clemson-clemson-control-1+node+clemson-clemson-compute-2" exclusive="false">
-    <sliver_type name="m1.small">
-    </sliver_type>
-      <interface client_id="of-vm4:if0" >
-      </interface>
- </node>
-
- <link client_id="link-vm1-vm2">
-    <interface_ref client_id="of-vm1:if0"/>
-    <interface_ref client_id="of-vm2:if0"/>
-    <interface_ref client_id="of-vm3:if0"/>
-    <interface_ref client_id="of-vm4:if0"/>
-  </link>
-<openflow:controller url="tcp:130.127.88.98:9000" type="primary"/>
-</rspec>
Index: /trunk/OpenGENIRSpecExamples/OG-EXP-6-gram-only.rspec
===================================================================
--- /trunk/OpenGENIRSpecExamples/OG-EXP-6-gram-only.rspec	(revision 2996)
+++ /trunk/OpenGENIRSpecExamples/OG-EXP-6-gram-only.rspec	(revision 2996)
@@ -0,0 +1,43 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+         xmlns="http://www.geni.net/resources/rspec/3" 
+	 xmlns:openflow="http://www.geni.net/resources/rspec/ext/openflow/3"
+         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+         xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	 http://www.geni.net/resources/rspec/ext/openflow/3
+         http://www.geni.net/resources/rspec/3/request.xsd">  
+<node client_id="of-vm1" component_id="urn:publicid:IDN+clemson-clemson-control-1+node+clemson-clemson-compute-1" exclusive="false"> 
+    <sliver_type name="m1.small">
+    </sliver_type>
+      <interface client_id="of-vm1:if0" >
+      </interface>
+</node>
+
+<node client_id="of-vm2" component_id="urn:publicid:IDN+clemson-clemson-control-1+node+clemson-clemson-compute-2" exclusive="false"> 
+    <sliver_type name="m1.small">
+    </sliver_type>
+      <interface client_id="of-vm2:if0" >
+      </interface>
+ </node>
+<node client_id="of-vm3" component_id="urn:publicid:IDN+clemson-clemson-control-1+node+clemson-clemson-compute-1" exclusive="false">
+    <sliver_type name="m1.small">
+    </sliver_type>
+      <interface client_id="of-vm3:if0" >
+      </interface>
+</node>
+
+<node client_id="of-vm4" component_id="urn:publicid:IDN+clemson-clemson-control-1+node+clemson-clemson-compute-2" exclusive="false">
+    <sliver_type name="m1.small">
+    </sliver_type>
+      <interface client_id="of-vm4:if0" >
+      </interface>
+ </node>
+
+ <link client_id="link-vm1-vm2">
+    <interface_ref client_id="of-vm1:if0"/>
+    <interface_ref client_id="of-vm2:if0"/>
+    <interface_ref client_id="of-vm3:if0"/>
+    <interface_ref client_id="of-vm4:if0"/>
+  </link>
+<openflow:controller url="tcp:130.127.88.98:9000" type="primary"/>
+</rspec>